package cn.rc100.rc_bd_map.bd_map_view;

import android.app.Activity;
import android.content.Context;

import com.baidu.mapapi.CoordType;
import com.baidu.mapapi.SDKInitializer;

import java.util.Map;

import io.flutter.plugin.common.BinaryMessenger;
import io.flutter.plugin.common.PluginRegistry;
import io.flutter.plugin.common.StandardMessageCodec;
import io.flutter.plugin.platform.PlatformView;
import io.flutter.plugin.platform.PlatformViewFactory;

public class RcBdMapVewFactory extends PlatformViewFactory {
    private final BinaryMessenger messenger;
    private Activity activity;

    public RcBdMapVewFactory(PluginRegistry.Registrar registrar) {
        super(StandardMessageCodec.INSTANCE);
        this.messenger = registrar.messenger();
        this.activity = registrar.activity();
        SDKInitializer.initialize(registrar.context());
        SDKInitializer.setCoordType(CoordType.BD09LL);
    }

    @Override
    public PlatformView create(Context context, int i, Object o) {
        Map<String, Object> params = (Map<String, Object>) o;
        return new RcBdMapView(this.activity, context, messenger, params);
    }


}
