//
//  BaiduMapViewFactory.m
//  Pods-Runner
//
//  Created by 荣城 on 2020/1/18.
//

#import "BaiduMapViewFactory.h"
#import "BaiduMapView.h"

@implementation BaiduMapViewFactory{
    NSObject<FlutterBinaryMessenger>* _messenger;
}

-(instancetype) initWithMessenger:(NSObject<FlutterBinaryMessenger> *)messager{
    self = [super init];
    if(self){
        _messenger = messager;
    }
    return self;
}

-(NSObject<FlutterMessageCodec>*)createArgsCodec{
    return [FlutterStandardMessageCodec sharedInstance];
}

-(nonnull NSObject<FlutterPlatformView>*)createWithFrame:(CGRect)frame viewIdentifier:(int64_t)viewId arguments:(id)args{
    BaiduMapView *baiduMapView = [[BaiduMapView alloc] initWithWithFrame:frame viewIdentifier:viewId arguments:args binaryMessenger:_messenger];
    return baiduMapView;
}

@end
